Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class ComplexValue

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression
          org.apache.taglibs.standard.lang.jstl.ComplexValue

    public class ComplexValue

extends Expression

Represents a dynamic value, which consists of a prefix and an optional set of ValueSuffix elements. A prefix is something like an identifier, and a suffix is something like a "property of" or "indexed element of" operator.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`ComplexValue(Expression pPrefix, List pSuffixes)` Constructor

Method Summary
`Object` | `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates by evaluating the prefix, then applying the suffixes
`String` | `getExpressionString()` Returns the expression in the expression language syntax
`Expression` | `getPrefix()`
`List` | `getSuffixes()`
`void` | `setPrefix(Expression pPrefix)`
`void` | `setSuffixes(List pSuffixes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexValue

    public ComplexValue(Expression pPrefix,
                        List pSuffixes)

  Constructor

Method Detail

### getPrefix

    public Expression getPrefix()

### setPrefix

    public void setPrefix(Expression pPrefix)

### getSuffixes

    public List getSuffixes()

### setSuffixes

    public void setSuffixes(List pSuffixes)

### getExpressionString

    public String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public Object evaluate(Object pContext,
                           VariableResolver pResolver,
                           Map functions,
                           String defaultPrefix,
                           Logger pLogger)
                    throws ELException

  Evaluates by evaluating the prefix, then applying the suffixes

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.